version: '3'

services:
  app:
    image: cs-git.ddnss.de/ri-st/startup
    container_name: startup-app
    ports:
      - '80:80'
#    volumes:
#      - ./:/var/www/html
    links:
      - db
    networks:
      - startup
    restart: unless-stopped
    working_dir: /var/www/html

  db:
    image: mysql:8
    container_name: startup-db
    restart: unless-stopped
    volumes:
      - mysql:/var/lib/mysql
    networks:
      - startup
    environment:
      MYSQL_ROOT_PASSWORD: 7PtL4UGRkUnT753SrZQE9dpZt3aV745J
      MYSQL_PASSWORD: WL5U6tnGYRm3t5iS2294PHVY4C55KuEL
      MYSQL_USER: startup
      MYSQL_DATABASE: startup

networks:
  startup:

volumes:
  mysql: